सामग्री पर जाएँ

Kling 3.0 Pro Image to Video

इंटीग्रेट करें

मॉडल id kling-video/v3/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v3/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
    "duration": 5,
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.56 560 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Kling इमेज से वीडियो नेटिव ऑडियोरेफ़रेंस इनपुट3–15 s #audio#cinematic#multi-shot

नेटिव ध्वनि, वैकल्पिक अंतिम फ़्रेम और मल्टी-शॉट प्रॉम्प्ट के साथ स्थिर छवि से 3 से 15 सेकंड की क्लिप बनाता है।

उदाहरण

इनपुट
आउटपुट · ~157 s

प्रॉम्प्टThe paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.

5 sgenerate_audio: false$0.56 · 560 API क्रेडिट

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

154 / 2500

वीडियो बनाने के लिए टेक्स्ट निर्देश। प्रॉम्प्ट या multi_prompt में से ठीक एक दें।

•आवश्यक start_image_url
फ़ाइल ड्रॉप करें, या

वीडियो निर्माण के लिए उपयोग की जाने वाली इमेज का URL। फ़ाइल का आकार 50 MB से अधिक नहीं होना चाहिए; चौड़ाई और ऊँचाई प्रत्येक कम से कम 300px तथा आस्पेक्ट रेशियो 0.40 और 2.50 के बीच होना चाहिए।

duration 5 s

आउटपुट वीडियो की अवधि, सेकंड में।

उन्नत negative_prompt · end_image · shot_type · cfg_scale · multi_prompt · elements
0 / 2500
end_image_url
फ़ाइल ड्रॉप करें, या

वीडियो के अंत में उपयोग की गई इमेज की ओर संकेत करने वाला URL। फ़ाइल का आकार 50 MB से अधिक नहीं होना चाहिए; चौड़ाई और ऊंचाई दोनों कम से कम 300px होनी चाहिए, और आस्पेक्ट रेशियो 0.40 से 2.50 के बीच होना चाहिए।

shot_type डिफ़ॉल्ट customize

चुनें कि multi-shot निर्माण अपने शॉट की योजना कैसे बनाए; 'intelligent' चुनने पर शॉट की संरचना मॉडल को सौंपी जाती है।

डिफ़ॉल्ट 0.5

CFG का उपयोग करके यह निर्धारित करें कि निर्माण आपके प्रॉम्प्ट का कितनी निकटता से पालन करे; CFG का अर्थ Classifier Free Guidance है।

दिए जाने पर वीडियो को कई शॉट्स में विभाजित करने वाली प्रॉम्प्ट सूची।

वीडियो तत्वों के रूप में शामिल पात्र या ऑब्जेक्ट, जिन्हें प्रॉम्प्ट में @Element1, @Element2 आदि का उपयोग करके संबोधित किया जाता है। प्रत्येक उदाहरण के लिए या तो एक वीडियो या सामने से ली गई इमेज और संदर्भ इमेज वाला सेट दें।

POST /run/kling-video/v3/pro/image-to-video?wait=20 कोटेशन → $0.56
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v3/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
    "duration": 5,
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kling 3.0 Pro Image to Video के बारे में

Kling का प्रमुख image-to-video मॉडल शुरुआती छवि के विषय को स्थिर रखते हुए प्राकृतिक गतिविधि, कैमरा मूवमेंट और डिफ़ॉल्ट रूप से मेल खाती ध्वनि तथा वाणी जोड़ता है। शॉट के अंत को नियंत्रित करने के लिए अंतिम छवि दें, प्रति-शॉट प्रॉम्प्ट के साथ एक जनरेशन को कई शॉट में विभाजित करें, या संदर्भ elements के साथ दोहराए जाने वाले कैरेक्टर और ऑब्जेक्ट को स्थिर रखें। फ़्रेम का आकार शुरुआती छवि के अनुसार होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptवैकल्पिक
प्रकारstring | null
≤ 2,500 अक्षर
वीडियो बनाने के लिए टेक्स्ट निर्देश। प्रॉम्प्ट या multi_prompt में से ठीक एक दें।
multi_promptवैकल्पिक
प्रकारobject[]
दिए जाने पर वीडियो को कई शॉट्स में विभाजित करने वाली प्रॉम्प्ट सूची।
multi_prompt[].promptआवश्यक
प्रकारstring
वर्तमान शॉट के लिए टेक्स्ट निर्देश।
multi_prompt[].durationवैकल्पिक
प्रकारenum
डिफ़ॉल्ट5
123456789101112131415
वर्तमान शॉट की अवधि, सेकंड में।
start_image_urlआवश्यक image
प्रकारurl · image
वीडियो निर्माण के लिए उपयोग की जाने वाली इमेज का URL। फ़ाइल का आकार 50 MB से अधिक नहीं होना चाहिए; चौड़ाई और ऊँचाई प्रत्येक कम से कम 300px तथा आस्पेक्ट रेशियो 0.40 और 2.50 के बीच होना चाहिए।
durationवैकल्पिक
प्रकारenum
डिफ़ॉल्ट5
3456789101112131415
आउटपुट वीडियो की अवधि, सेकंड में।
generate_audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
मूल वीडियो ऑडियो निर्माण टॉगल, जो चीनी या अंग्रेज़ी में आवाज़ों का समर्थन करता है और किसी भी अन्य भाषा का अंग्रेज़ी में स्वचालित अनुवाद करता है। अंग्रेज़ी वाक् के लिए संक्षिप्ताक्षर और व्यक्तिवाचक संज्ञाएँ बड़े अक्षरों में तथा बाकी सब छोटे अक्षरों में लिखें।
end_image_urlवैकल्पिक end_image
प्रकारurl · image
वीडियो के अंत में उपयोग की गई इमेज की ओर संकेत करने वाला URL। फ़ाइल का आकार 50 MB से अधिक नहीं होना चाहिए; चौड़ाई और ऊंचाई दोनों कम से कम 300px होनी चाहिए, और आस्पेक्ट रेशियो 0.40 से 2.50 के बीच होना चाहिए।
elementsवैकल्पिक
प्रकारobject[]
वीडियो तत्वों के रूप में शामिल पात्र या ऑब्जेक्ट, जिन्हें प्रॉम्प्ट में @Element1, @Element2 आदि का उपयोग करके संबोधित किया जाता है। प्रत्येक उदाहरण के लिए या तो एक वीडियो या सामने से ली गई इमेज और संदर्भ इमेज वाला सेट दें।
elements[].frontal_image_urlवैकल्पिक
प्रकारurl · image
एलिमेंट का मुख्य दृश्य दिखाने वाली सामने से ली गई इमेज। फ़ाइल का आकार 50 MB से अधिक नहीं होना चाहिए; चौड़ाई और ऊँचाई प्रत्येक कम से कम 300px तथा आस्पेक्ट रेशियो 0.40 और 2.50 के बीच होना चाहिए।
elements[].reference_image_urlsवैकल्पिक
प्रकारurl[] · image
अलग-अलग कोण दिखाने वाली 1–3 अतिरिक्त संदर्भ इमेज दें। प्रत्येक इमेज का आस्पेक्ट रेशियो 0.40 और 2.50 के बीच, दोनों आयामों में आकार कम से कम 300px और फ़ाइल आकार अधिकतम 50.0MB होना चाहिए।
elements[].video_urlवैकल्पिक
प्रकारurl · video
एलिमेंट के वीडियो का URL; प्रत्येक अनुरोध में अधिकतम एक एलिमेंट में वीडियो हो सकता है। फ़ाइल अधिकतम 200 MB की, चौड़ाई और ऊँचाई प्रत्येक 720px और 2160px के बीच होनी चाहिए। अवधि 3 सेकंड से 10.05 सेकंड और FPS 24.0 से 60.0 के बीच होना चाहिए।
elements[].voice_idवैकल्पिक
प्रकारstring | null
एलिमेंट को असाइन किया गया Voice ID। उस एलिमेंट के संदर्भों में उसकी असाइन की गई आवाज़ का उपयोग किया जाता है।
shot_typeवैकल्पिक
प्रकारenum
डिफ़ॉल्टcustomize
customizeintelligent
चुनें कि multi-shot निर्माण अपने शॉट की योजना कैसे बनाए; 'intelligent' चुनने पर शॉट की संरचना मॉडल को सौंपी जाती है।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टblur, distort, and low quality
≤ 2,500 अक्षर
cfg_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.5
0 – 1
CFG का उपयोग करके यह निर्धारित करें कि निर्माण आपके प्रॉम्प्ट का कितनी निकटता से पालन करे; CFG का अर्थ Classifier Free Guidance है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v3/pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 560,
    "usd": "0.56",
    "charged": 560,
    "refunded": 0
  },
  "input": {
    "prompt": "The banana manager turns to the camera, smiles and waves while coworkers keep typing, gentle handheld camera",
    "image": "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png",
    "duration": 5
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kling-video/v3/pro/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt